Index: axes.py
===================================================================
RCS file: /cvsroot/matplotlib/matplotlib/lib/matplotlib/axes.py,v
retrieving revision 1.150
diff -u -r1.150 axes.py
--- axes.py	3 Jan 2006 18:13:00 -0000	1.150
+++ axes.py	8 Jan 2006 13:11:07 -0000
@@ -1467,8 +1467,8 @@
             a.draw(renderer)
 
     def errorbar(self, x, y, yerr=None, xerr=None,
-                 fmt='b-', ecolor=None, capsize=3,
-                 barsabove=False, **kwargs):
+                 fmt='b-', ecolor=None, ealpha=1.0,
+                 capsize=3, barsabove=False, **kwargs):
         """
         ERRORBAR(x, y, yerr=None, xerr=None,
                  fmt='b-', ecolor=None, capsize=3, barsabove=False)
@@ -1495,6 +1495,9 @@
             ecolor is a matplotlib color arg which gives the color the
             errorbar lines; if None, use the marker color.
 
+            ealpha is the value to use for alpha blending the error bar
+            lines.
+
             capsize is the size of the error bar caps in points
 
             barsabove, if True, will plot the errorbars above the plot symbols
@@ -1578,10 +1581,12 @@
 
         for l in barlines:
             l.set_color(ecolor)
+            l.set_alpha(ealpha)
         for l in caplines:
             l.set_color(ecolor)
             l.set_markerfacecolor(ecolor)
             l.set_markeredgecolor(ecolor)
+            l.set_alpha(ealpha)
 
         self.autoscale_view()
 
